QCA::MACContext Class Referenceabstract
QCA provider API

`#include <QtCrypto>`

Collaboration diagram for QCA::MACContext:
[legend]

## Public Member Functions

virtual void | final (MemoryRegion *out)=0
virtual KeyLength | keyLength () const =0
| MACContext (Provider *p, const QString &type)
virtual void | setup (const SymmetricKey &key)=0
virtual void | update (const MemoryRegion &in)=0
Public Member Functions inherited from QCA::Provider::Context
virtual Context * | clone () const =0
Provider * | provider () const
bool | sameProvider (const Context *c) const
QString | type () const

## Protected Member Functions

KeyLength | anyKeyLength () const
Protected Member Functions inherited from QCA::BasicContext
| BasicContext (const BasicContext &from)
| BasicContext (Provider *parent, const QString &type)
Protected Member Functions inherited from QCA::Provider::Context
| Context (const Context &from)
| Context (Provider *parent, const QString &type)

## Detailed Description

Message authentication code provider.

Note
  This class is part of the provider plugin interface and should not be used directly by applications. You probably want MessageAuthenticationCode instead.

Examples
  aes-cmac.cpp.

## Constructor & Destructor Documentation

## MACContext()

QCA::MACContext::MACContext | ( | Provider * | p,
|  | const QString & | type )

inline

Standard constructor.

Parameters

  p | the provider associated with this context
  type | the name of the type of MAC algorithm provided by this context

References QCA::BasicContext::BasicContext(), and QCA::Provider::Context::type().

## Member Function Documentation

## setup()

virtual void QCA::MACContext::setup | ( | const SymmetricKey & | key | ) |

pure virtual

Set up the object for hashing.

Parameters

  key | the key to use with the MAC.

Examples
  aes-cmac.cpp.

## keyLength()

virtual KeyLength QCA::MACContext::keyLength | ( |  | ) | const

pure virtual

Returns the KeyLength for this MAC algorithm.

Examples
  aes-cmac.cpp.

## update()

virtual void QCA::MACContext::update | ( | const MemoryRegion & | in | ) |

pure virtual

Process a chunk of data.

Parameters

  in | the input data to process

Examples
  aes-cmac.cpp.

## final()

virtual void QCA::MACContext::final | ( | MemoryRegion * | out | ) |

pure virtual

Compute the result after processing all data.

Parameters

  out | pointer to an array that should store the result

## anyKeyLength()

KeyLength QCA::MACContext::anyKeyLength | ( |  | ) | const

inline protected

Returns a KeyLength that supports any length.

The documentation for this class was generated from the following file:

- qcaprovider.h